
<!DOCTYPE html>

<html lang="fr">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>functions module &#8212; Documentation simulation_oceanique 1.0.0</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/translations.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="main module" href="main.html" />
    <link rel="prev" title="groupe-2" href="modules.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-functions">
<span id="functions-module"></span><h1>functions module<a class="headerlink" href="#module-functions" title="Lien permanent vers cette rubrique">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="functions.check_coord">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">check_coord</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire:</span> <span class="pre">dict</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">coord:</span> <span class="pre">(&lt;class</span> <span class="pre">'int'&gt;</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">&lt;class</span> <span class="pre">'int'&gt;)</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.check_coord" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Verifie si les coordonnées sont bien présentent dans les matrices.
Args:</p>
<blockquote>
<div><p>dictionnaire (dict[list[list]]): dictionnaire de matrice
coord (int , int): tupple de coordonnées</p>
</div></blockquote>
<dl class="simple">
<dt>Returns:</dt><dd><p>Boolean: Return True si présente, False sinon</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.check_periode">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">check_periode</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">dict</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">periode</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.check_periode" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Verifie si la date de la période est bien présente dans le dictionnaire de matrice.
Args:</p>
<blockquote>
<div><p>dictionnaire (dict[list[list]]): dictionnaire de matrice
periode (str): date du début ou la fin de la période</p>
</div></blockquote>
<dl class="simple">
<dt>Returns:</dt><dd><p>Boolean: Return True si présente, False sinon</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.extract_csv">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">extract_csv</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#functions.extract_csv" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Recupère le fichier csv marees_v1.csv, puis le convertie en dictionnaire de liste sous forme de liste
de liste (matrice), avec les coordonnées correspondantes au X et Y du fichier, et la valeur à Actifs
Returns:</p>
<blockquote>
<div><p>dict[list[list]]: renvoi un dict de matrice</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.gimme_periode">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">gimme_periode</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire:</span> <span class="pre">dict</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">periode:</span> <span class="pre">(&lt;class</span> <span class="pre">'str'&gt;</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">&lt;class</span> <span class="pre">'str'&gt;)</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.gimme_periode" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Récupère les matrices de la période donnée en paramètre, en return une liste de matrice</p>
<dl class="simple">
<dt>Args:</dt><dd><p>dictionnaire (dict[list[list]]): dictionnaire de matrice
periode (str, str): tupples de string représentant une période en date</p>
</dd>
<dt>Returns:</dt><dd><p>list[list[list]]: liste de matrice</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.max_coefficient_maree">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">max_coefficient_maree</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dict_marees</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.max_coefficient_maree" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>La fonction “max_coefficient_maree” retourne la liste des moments où un maximum de capteurs marins étaient activés.
Ce qui signifie lorsque la mère était la plus haute d’une période
:param dict_marees: “dict” {“date_heure” : [matrice de capteurs]}
:return: “list”</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.min_coefficient_maree">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">min_coefficient_maree</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dict_marees</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.min_coefficient_maree" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>La fonction “min_coefficient_maree” retourne la liste des moments où un minimum de capteurs marins étaient activés.
Ce qui signifie lorsque la mère était la plus basse d’une période.
:param dict_marees: “dict” {“date_heure” : [matrice de capteurs]}
:return: “list”</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.point_plus_haut">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">point_plus_haut</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">dict</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.point_plus_haut" title="Lien permanent vers cette définition">¶</a></dt>
<dd><dl class="simple">
<dt>Prend un dictionnaire de matrice, cherche ensuite la position (x,y) sur la plage(matrice),</dt><dd><p>où la marée a atteint le plus haut point.</p>
</dd>
<dt>Args:</dt><dd><p>dictionnaire (dict[list[list]]): dictionnaire de matrice</p>
</dd>
<dt>Returns:</dt><dd><p>tupple(key, x, y): list composé de la clé, de la position x et y de la position</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.points_immerges">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">points_immerges</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">valeur</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.points_immerges" title="Lien permanent vers cette définition">¶</a></dt>
<dd><dl>
<dt>Compare les valeurs les 5 matrices présentes dans le dictionnaire de listes rendu par “extract_csv()”</dt><dd><p>et retourne la position de celles qui n’ont pas changer entres les 5 matrices</p>
</dd>
<dt>Args:</dt><dd><p>dictionnaire: dictionnaire de matrice
valeur: 0 =&gt; jamais immergé</p>
<blockquote>
<div><p>1 =&gt; toujours immergé</p>
</div></blockquote>
</dd>
<dt>Raise:</dt><dd><p>ValueError: erreur de valeur (0/1)</p>
</dd>
<dt>Return:</dt><dd><p>list: retourne une liste représentant (ligne,colonne)</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.pourcentage_sous_eau">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">pourcentage_sous_eau</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire:</span> <span class="pre">dict</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">coord:</span> <span class="pre">(&lt;class</span> <span class="pre">'int'&gt;</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">&lt;class</span> <span class="pre">'int'&gt;)</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">periode:</span> <span class="pre">(&lt;class</span> <span class="pre">'str'&gt;</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">&lt;class</span> <span class="pre">'str'&gt;)</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.pourcentage_sous_eau" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>On récupère notre période (liste de matrice) sous forme de liste, on parcourt les matrices en incrémentant dans
un compteur à chaque fois qu’une valeur de (x,y) == 1
Ensuite on retourne le compteur divisé par le nombre de matrice de notre période</p>
<dl class="simple">
<dt>Args:</dt><dd><p>dictionnaire (dict[list[list]]): dictionnaire de matrice
coord (int, int): coordonnées
periode (str, str): période</p>
</dd>
<dt>Raises:</dt><dd><p>ValueError: Erreur de coordonnée
ValueError: Erreur de période</p>
</dd>
<dt>Returns:</dt><dd><p>int: rend un pourcentage sur 100</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.print_matrice_in_dict">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">print_matrice_in_dict</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.print_matrice_in_dict" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>prend un dictionnaire de matrice et les affiches avec leur clé
Args:</p>
<blockquote>
<div><p>dict (list[list]): dict de matrice</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="functions.print_point_immerges">
<span class="sig-prename descclassname"><span class="pre">functions.</span></span><span class="sig-name descname"><span class="pre">print_point_immerges</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">liste_coord</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#functions.print_point_immerges" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>prend une liste de tupple et l’afficher sous forme de coordonnée</p>
<dl class="simple">
<dt>Args:</dt><dd><p>liste_coord (list[tupple]): liste de coordonnées</p>
</dd>
</dl>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">simulation_oceanique</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">groupe-2</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">functions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">groupe-2</a><ul>
      <li>Previous: <a href="modules.html" title="Chapitre précédent">groupe-2</a></li>
      <li>Next: <a href="main.html" title="Chapitre suivant">main module</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Recherche rapide</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Neven, Maxime, Kylian.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/functions.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>